/*
 * Jalview - A Sequence Alignment Editor and Viewer ($$Version-Rel$$)
 * Copyright (C) $$Year-Rel$$ The Jalview Authors
 * 
 * This file is part of Jalview.
 * 
 * Jalview is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *  
 * Jalview is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty 
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 * PURPOSE.  See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jalview.  If not, see <http://www.gnu.org/licenses/>.
 * The Jalview Authors are detailed in the 'AUTHORS' file.
 */

package jalview.urls;

import jalview.bin.ApplicationSingletonProvider;
import jalview.bin.ApplicationSingletonProvider.ApplicationSingletonI;

/**
 * Holds settings for identifiers.org e.g. url, download location
 */
public class IdOrgSettings implements ApplicationSingletonI
{
  private String url;

  private String location;

  private static IdOrgSettings getInstance()
  {
    return (IdOrgSettings) ApplicationSingletonProvider
            .getInstance(IdOrgSettings.class);
  }

  public static void setUrl(String seturl)
  {
    getInstance().url = seturl;
  }

  public static void setDownloadLocation(String setloc)
  {
    getInstance().location = setloc;
  }

  public static String getUrl()
  {
    return getInstance().url;
  }

  public static String getDownloadLocation()
  {
    return getInstance().location;
  }

  private IdOrgSettings()
  {
    // private singleton
  }
}
